<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8"/>
    <title>Rygel.Database.Cursor.has_next &ndash; librygel-db &ndash; Vala Binding Reference</title>
    <link href="../style.css" rel="stylesheet" type="text/css"/><script src="../scripts.js" type="text/javascript">
    </script>
  </head>
  <body>
    <div class="site_header">Rygel.Database.Cursor.has_next &ndash; librygel-db Reference Manual</div>
    <div class="site_body">
      <div class="site_navigation">
        <ul class="navi_main">
          <li class="package_index"><a href="../index.html">Packages</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="package"><a href="index.htm">librygel-db</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="namespace"><a href="Rygel.html">Rygel</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="namespace"><a href="Rygel.Database.html">Database</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="class"><a href="Rygel.Database.Cursor.html">Cursor</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="class"><a href="Rygel.Database.Cursor.Iterator.html">Iterator</a></li>
          <li class="creation_method"><a href="Rygel.Database.Cursor.Cursor.html">Cursor</a></li>
          <li class="method"><a href="Rygel.Database.Cursor.bind.html">bind</a></li>
          <li class="method">has_next</li>
          <li class="method"><a href="Rygel.Database.Cursor.iterator.html">iterator</a></li>
          <li class="method"><a href="Rygel.Database.Cursor.next.html">next</a></li>
          <li class="method"><a href="Rygel.Database.Cursor.throw_if_code_is_error.html">throw_if_code_is_error</a></li>
          <li class="method"><a href="Rygel.Database.Cursor.throw_if_db_has_error.html">throw_if_db_has_error</a></li>
        </ul>
      </div>
      <div class="site_content">
        <h1 class="main_title">has_next</h1>
        <hr class="main_hr"/>
        <h2 class="main_title">Description:</h2>
        <div class="main_code_definition"><span class="main_keyword">public</span> <span class="main_basic_type"><span class="struct">bool</span></span> <b><span class="method">has_next</span></b> () <span class="main_keyword">throws</span> <span class="main_type"><a href="Rygel.Database.DatabaseError.html" class="errordomain">DatabaseError</a></span>
        </div>
        <div class="description">
          <p>Check if the cursor has more rows left</p>
          <h2 class="main_title">Returns:</h2>
          <table class="main_parameter_table">
            <tr>
              <td>
                <p>true if more rows left, false otherwise </p>
              </td>
            </tr>
          </table>
        </div>
      </div>
    </div><br/>
    <div class="site_footer">Generated by <a href="https://wiki.gnome.org/Projects/Valadoc"><kbd>valadoc</kbd></a>
    </div>
  </body>
</html>